Package org.apache.sling.event.impl.jobs.config

# Class QueueConfigurationManager

java.lang.Object
org.apache.sling.event.impl.jobs.config.QueueConfigurationManager

public class QueueConfigurationManager extends Object
The queue manager manages queue configurations.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`QueueConfigurationManager.QueueInfo`

## Constructor Summary

Constructors
Constructor
Description
`QueueConfigurationManager()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bindConfig(InternalQueueConfiguration config)`
Add a new queue configuration.
`InternalQueueConfiguration[]`
`getConfigurations()`
Return all configurations.
`InternalQueueConfiguration`
`getMainQueueConfiguration()`
Get the configuration for the main queue.
`QueueConfigurationManager.QueueInfo`
`getQueueInfo(String topic)`
Find the queue configuration for the job.
`protected void`
`unbindConfig(InternalQueueConfiguration config)`
Remove a queue configuration.
`protected void`
`updateConfig(InternalQueueConfiguration config)`
Update a queue configuration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueueConfigurationManager

public QueueConfigurationManager()

## Method Details

### bindConfig

protected void bindConfig(InternalQueueConfiguration config)
Add a new queue configuration.

Parameters:
  `config` - A new queue configuration.

### unbindConfig

protected void unbindConfig(InternalQueueConfiguration config)
Remove a queue configuration.

Parameters:
  `config` - The queue configuration.

### updateConfig

protected void updateConfig(InternalQueueConfiguration config)
Update a queue configuration.

Parameters:
  `config` - The queue configuration.

### getConfigurations

public InternalQueueConfiguration[] getConfigurations()
Return all configurations.

Returns:
  An array with all queue configurations except the main queue. Array might be empty.

### getMainQueueConfiguration

public InternalQueueConfiguration getMainQueueConfiguration()
Get the configuration for the main queue.

Returns:
  The configuration for the main queue.

### getQueueInfo

public QueueConfigurationManager.QueueInfo getQueueInfo(String topic)
Find the queue configuration for the job. This method only returns a configuration if one matches.